seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/10/24, 16:36:45


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: kde-standard not installable  (Read 2590 times)

0 Members and 1 Guest are viewing this topic.

Offline hypper

  • User
  • Posts: 45
kde-standard not installable
« on: 2016/02/09, 12:16:25 »
Hi,

during the todays transition to plasma5, kde-standard is not installable because kde-plasma-desktop and plasma-widgets-addons are on hold.

Since i need the desktop, are there any optiobs right now instead of waiting a while. E.g. the installation of an older version of plasma- desktop?

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.787
  • we are the priests ... of the temples of syrinx
Re: kde-standard not installable
« Reply #1 on: 2016/02/09, 12:51:10 »
Hi hypper

We need more information.

I have no clue what you mean by  "todays transition to plasma5"

What have you been using ? kde 4 ?,  kde-next ?, xfce ?, etc

As far as I know, kde-plasma-desktop and plasma-widgets-addons are not on hold unless you put them on hold.

Code: [Select]
apt-mark showhold
will show you that.

Until we have more information, we can't help.

We need to see the output of

Code: [Select]
inxi -r
please

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Offline hypper

  • User
  • Posts: 45
Re: kde-standard not installable
« Reply #2 on: 2016/02/09, 15:24:59 »
today i started the transition from kde4 to plasma5 according to http://forum.siduction.org/index.php?topic=5943.0


although i had kde-next in my source.list i couldn't find any installed kde-next packages.


Code: [Select]
apt-mark showholdshows nothing


but



Code: [Select]

apt install kde-standard
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:


Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 kde-standard : Hängt ab von: kde-plasma-desktop (>= 5:90) soll aber nicht installiert werden
                Hängt ab von: plasma-widgets-addons (>= 4:5.0.0) soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.


Code: [Select]
apt install -fdidn't solve the problem


Code: [Select]
inxi -r                                                                     
Repos:     Active apt sources in file: /etc/apt/sources.list.d/debian.list
           deb http://httpredir.debian.org/debian/ unstable main contrib non-free             
           Active apt sources in file: /etc/apt/sources.list.d/misc.list                       
           deb http://download.virtualbox.org/virtualbox/debian jessie contrib                 
           Active apt sources in file: /etc/apt/sources.list.d/siduction.list                 
           deb http://ftp.spline.de/pub/siduction/extra unstable main                         
           deb http://ftp.spline.de/pub/siduction/fixes unstable main contrib non-free

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.441
Re: kde-standard not installable
« Reply #3 on: 2016/02/09, 19:08:04 »
today i started the transition from kde4 to plasma5 according to http://forum.siduction.org/index.php?topic=5943.0


although i had kde-next in my source.list i couldn't find any installed kde-next packages.



That makes no sense because it would mean, thatr you add  kde-next to your sources, but never did a dist-upgrade after that. What do you get if you try to install kde-full?


greetz
devil

Offline hypper

  • User
  • Posts: 45
Re: kde-standard not installable
« Reply #4 on: 2016/02/09, 20:19:28 »
devil, i was surprised, too.


since it is my pc at work, i d-u very, very rarely. i cannot recall if i really used the kde-next for a d-u. maybe i commented the line in the source.list for whatever reasons and after the d-u i un-commented it again. i also remember that there was a time, that the kde-next repo was empty or offline at a certain stage of development?


i will try the apt install kde-full tomorrow at work.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.441
Re: kde-standard not installable
« Reply #5 on: 2016/02/09, 22:05:48 »
Well, you might consider to dist-upgrade regularly at least once a week (after checking warnings on the forum) or user a stable distribution for work. The way you use it is not the way it is meant to be used and ends in errors lile yours that are hard to track because of your intervals of upgrading.


greetz
devil

Offline hypper

  • User
  • Posts: 45
Re: kde-standard not installable
« Reply #6 on: 2016/02/10, 09:37:33 »
you are totally right, devil. unfortunately i can't remember when the last d-u was.


the last kernel i installed (most likely because of an d-u) before the current kernel was


Code: [Select]
ii  linux-image-3.18-5.towo.3-siduction-amd64            3.18-17

maybe its a year ago.


apt install kde-full does not solve the problem. same messages.


so, what can i do. should i remove (and how?) all kde-related packages and do a fresh install of kde-standard while keeping the config-files?

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.441
Re: kde-standard not installable
« Reply #7 on: 2016/02/10, 09:47:58 »
For sure the fastest way is to save your home and reinstall from the latest dev-release. Afterwards move needed stuf from the old home over to the new one.


greetz
devil

Offline hypper

  • User
  • Posts: 45
Re: kde-standard not installable
« Reply #8 on: 2016/02/10, 10:51:15 »
i expected you to say that. is there any other (not so radical) option?




holgerw

  • Guest
Re: kde-standard not installable
« Reply #9 on: 2016/02/10, 12:45:32 »
Hello,

I would try following:
1. Remove kdenext repo in /etc/apt/sources.list.d and refresh repos
2. try to purge step by step all kde related stuff
a) without xsession and using dpkg -l|grep xyz + apt purge)
b) under xsession and openbox, wmaker, xfce4 with using synaptic, please do not use lxqt or kde as desktopenvironements for trying this)

It can be a little bit tricky but some months ago I've removed kde stuff in a similar way with success.

Then you can repeat your try to get a propper installation of KF5 and plasma5.

Kind regards,
  Holger

Offline hypper

  • User
  • Posts: 45
Re: kde-standard not installable
« Reply #10 on: 2016/02/11, 09:38:51 »
thanks to you all for the help.

i will do both.

i made a second partition for a clean install and i will try to recover the "old" kde-installation. so far, an installation of lxqt made the desktop working.

cheers
mathias

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.800
    • g-com.eu
Re: kde-standard not installable
« Reply #11 on: 2016/02/11, 13:31:44 »
hypper: you can join us in oftc #siduction or #siduction-de, i'm sure we find a solution. It will be a little bit rough, but cleaning up such a system should be not the biggest problem, eventually you will learn a lot about some useful apt hacks and tricks.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline hypper

  • User
  • Posts: 45
Re: kde-standard not installable
« Reply #12 on: 2016/02/12, 08:24:30 »
thanks. if i get stuck i will do this.